Bug 514221

Summary: Review Request: ovirt-node - The oVirt Node daemons/scripts
Product: [Fedora] Fedora Reporter: David Huff <dhuff>
Component: Package ReviewAssignee: David Lutterkort <lutter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: apevec, dpierce, fedora-package-review, hbrock, itamar, jboggs, lutter, mattdm, notting, yaneti
Target Milestone: ---Flags: lutter: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-14 17:28:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Huff 2009-07-28 08:58:33 EDT
Spec URL: http://huff.fedorapeople.org/ovirt-node.spec
SRPM URL: http://huff.fedorapeople.org/ovirt-node-1.0.2-0.fc12.20090728194047git15bdc70.src.rpm
Description: 
Provides a series of daemons and support utilities to allow an
oVirt Node to interact with the oVirt Server.  This package
should only be installed on the  oVirt Node machine.
Comment 1 Itamar Reis Peixoto 2009-07-28 09:08:49 EDT
Can I help with anything ?
Comment 2 Dennis Gilmore 2009-07-28 09:19:04 EDT
you can not set cvs to ? until the package is approved and its ready for cvs  tasks to be done. and you cant sent fedora-review to ? for your package.  the reviewer sets the fedora-review flag, please re familiarise yourself with the correct procedure for submitting a package for review
Comment 3 Jason Tibbitts 2009-09-09 20:28:39 EDT
The SRPM linked above is actually another copy of the spec file.  Not much we can do with that, unfortunately.

The versioning of this package  is a bit odd.  The dist tag should go at  the very end except in one specific instance which is not the case here.  So you should have "ovirt-node-1.0.2-0.20090728" followed by up to 16 characters of whatever, followed by "%{?dist}".  Assuming that you really intend a pre-release snapshot of what will become 1.0.2.  The guidelines relating to this start at 
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages.

It may also be helpful to occasionally update your package, as I'm sure development has progressed beyond what you intended to submit above.
Comment 4 Jason Tibbitts 2009-09-09 20:43:45 EDT
Ugh, I dropped a bit in the example above; it should be
  ovirt-node-1.0.2-0.1.20090728 (up to 16 chars) %{?dist}
since prerelease packages need a release < 1.
Comment 5 David Huff 2009-09-16 17:45:51 EDT
I have rebuilt the rpms with prober dist tag as well as insured the links are correct....

http://huff.fedorapeople.org/ovirt-node-1.0.2-0.fc12.src.rpm
http://huff.fedorapeople.org/ovirt-node.spec
Comment 6 David Lutterkort 2009-09-17 21:37:01 EDT
When I try to build this locally on my F11 machine, I get this error:

+ cd SELinux
+ for selinuxvariant in mls strict targeted minimum
+ make NAME=mls -f /usr/share/selinux/devel/Makefile
/bin/sh: tmp/ovirt-node-selinux.mod.fc: No such file or directory
make: *** [tmp/ovirt-node-selinux.mod.fc] Error 1
make: *** Waiting for unfinished jobs....
error: Bad exit status from /local/rpmbuild/tmp/rpm-tmp.tIDvYt (%build)

When I do a rpmbuild -bs ovirt-node.spec, it produces this error (which seems non-fatal):

sed: can't read /usr/share/selinux/devel/policyhelp: No such file or directory

A scratch build in rawhide succeeds, but rpmlint produces these errors:

ovirt-node.x86_64: E: explicit-lib-dependency cyrus-sasl-lib
ovirt-node.x86_64: W: incoherent-version-in-changelog 0.97 ['1.0.2-0.fc12', '1.0.2-0']
ovirt-node.x86_64: W: conffile-without-noreplace-flag /etc/ovirt-release
ovirt-node.x86_64: W: conffile-without-noreplace-flag /etc/default/ovirt
ovirt-node.x86_64: W: conffile-without-noreplace-flag /etc/cron.d/ovirt-logrotate
ovirt-node.x86_64: W: conffile-without-noreplace-flag /etc/logrotate.d/ovirt-logrotate.conf
ovirt-node.x86_64: W: conffile-without-noreplace-flag /etc/cron.hourly/ovirt-kinit
ovirt-node.x86_64: W: non-conffile-in-etc /etc/chkconfig.d/collectd
ovirt-node.x86_64: E: zero-length /etc/default/ovirt
ovirt-node.x86_64: W: non-conffile-in-etc /etc/collectd.conf.in
ovirt-node.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/ovirt-logrotate.conf
ovirt-node.x86_64: W: cross-directory-hard-link /usr/share/selinux/targeted/ovirt-node-selinux.pp /usr/share/selinux/minimum/ovirt-node-selinux.pp
ovirt-node.x86_64: E: script-without-shebang /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: W: cross-directory-hard-link /usr/share/selinux/strict/ovirt-node-selinux.pp /usr/share/selinux/targeted/ovirt-node-selinux.pp
ovirt-node.x86_64: E: executable-marked-as-config-file /etc/cron.hourly/ovirt-kinit
ovirt-node.x86_64: E: init-script-without-chkconfig-preun /etc/rc.d/init.d/ovirt-post
ovirt-node.x86_64: E: no-status-entry /etc/rc.d/init.d/ovirt-post
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-post
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-post
ovirt-node.x86_64: E: init-script-without-chkconfig-preun /etc/rc.d/init.d/ovirt
ovirt-node.x86_64: E: no-status-entry /etc/rc.d/init.d/ovirt
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt
ovirt-node.x86_64: E: init-script-without-chkconfig-preun /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: W: service-default-enabled /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: E: no-status-entry /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: E: init-script-without-chkconfig-preun /etc/rc.d/init.d/ovirt-early
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-early
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-early
ovirt-node.x86_64: E: init-script-without-chkconfig-preun /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: no-chkconfig-line /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-functions
1 packages and 0 specfiles checked; 19 errors, 16 warnings.

Please address these or explain why they do not matter
Comment 7 David Lutterkort 2009-09-17 21:38:27 EDT
Forgot: please also do a koji scratch build after you fix the package with 'oji build --scratch dist-f12 $SRPM', include the URL to the koji build here, run rpmlint on the resulting rpms and paste+comment on its output.
Comment 8 David Huff 2009-09-25 15:55:17 EDT
New spec...
http://huff.fedorapeople.org/ovirt-node.spec

scratch build...
https://koji.fedoraproject.org/koji/taskinfo?taskID=1707859

output form rpmlint. I fixed most of the issues the ones remaing are mainly with our init scripts which are not triditional initscripts.

Most issues are with /etc/rc.d/init.d/ovirt-functions, which is not an init script at all but helper file like /etc/init.d/functions, no really sure hwo to treat in it the spec.

ovirt-node.x86_64: W: non-conffile-in-etc /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: script-without-shebang /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: non-executable-script /etc/rc.d/init.d/ovirt-functions 0644 None
ovirt-node.x86_64: E: init-script-non-executable /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: no-chkconfig-line /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-functions

The remain warrning are with our outher initscripts which are scripts thate are just run ones like  /etc/rc.d/init.d/network and do not really need are reload.....

ovirt-node.x86_64: W: service-default-enabled /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-firstboot
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-post
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-early


Any suggestions on /etc/rc.d/init.d/ovirt-functions
Comment 9 Dennis Gilmore 2009-09-28 15:29:53 EDT
add a reload that does stop/start 

for /etc/rc.d/init.d/ovirt-functions the issues can be ignored
Comment 10 David Huff 2009-09-28 15:52:16 EDT
Ok, new srpm with updated initscripts include reload.....

http://huff.fedorapeople.org/ovirt-node-1.0.3-1.fc12.src.rpm
Comment 11 David Huff 2009-10-07 17:44:23 EDT
Ok, we have decided include include the recipe, ks file for the node image, and the deployment tools in a sub package of this rpm.  This simplifies things and only requires maintenance of one package.  The new srpm and spec file are here:

http://huff.fedorapeople.org/ovirt-node-1.0.3-4.fc12.src.rpm
http://huff.fedorapeople.org/ovirt-node.spec


rpmlint output below only real issue is with ovirt-functions,a nd form dgilmore's comments above looks like the can be ignored.

$ rpmlint /home/david/rpmbuild/RPMS/noarch/ovirt-node-tools-1.0.3-4.fc12.noarch.rpm
ovirt-node-tools.noarch: W: summary-not-capitalized oVirt Node tools for building and running an oVirt Node image
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint /home/david/rpmbuild/RPMS/x86_64/ovirt-node-1.0.3-4.fc12.x86_64.rpm 
ovirt-node.x86_64: W: non-conffile-in-etc /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: script-without-shebang /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: non-executable-script /etc/rc.d/init.d/ovirt-functions 0644 None
ovirt-node.x86_64: E: init-script-non-executable /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: W: no-reload-entry /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: no-chkconfig-line /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: E: subsys-not-used /etc/rc.d/init.d/ovirt-functions
ovirt-node.x86_64: W: service-default-enabled /etc/rc.d/init.d/ovirt-firstboot
1 packages and 0 specfiles checked; 5 errors, 3 warnings.
Comment 12 David Huff 2009-10-19 12:29:20 EDT
*** Bug 514311 has been marked as a duplicate of this bug. ***
Comment 13 David Lutterkort 2009-10-21 06:55:36 EDT
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
       See https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
  OK - PreReq not used
  FIX - Source md5sum matches upstream
    Make tarball available upstream and change Source0 to a full URL to
    that tarball
  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent


Please fix the Source0 issue before importing.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 14 David Huff 2009-10-26 16:30:10 EDT
Pushing final chages to upstream git repo and will add a tag that will correspond to the build in koji.  I will modify the spec file to include this info....

"
URL: http://git.et.redhat.com/?p=ovirt-node.git
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://git.et.redhat.com/ovirt-node.git; cd act 
#  git archive --format=tar --prefix=ovirt-node-%{version} ovirt-node-%{version} | bzip2 > ovirt-node-%{version}.tar.bz2
Source0: %{name}-%{version}.tar.bz2
"

Please go ahead and create the cvs entry and I will import  the latest code form the upstream repo.

Thanks,
David
Comment 15 David Huff 2009-10-28 11:07:38 EDT
New Package CVS Request
=======================
Package Name: ovirt-node
Short Description: The oVirt Node daemons/scripts/tools
Owners: huff 
Branches: F-12 devel
InitialCC: apevec huff pmyers jboggs mcpierce
Comment 16 Kevin Fenzi 2009-10-28 20:03:09 EDT
cvs done.
Comment 17 David Lutterkort 2009-12-14 17:22:57 EST
David, why is this still open ? Please close as RAWHIDE if you've built the package
Comment 18 Matthew Miller 2010-03-11 14:17:22 EST
I don't see an ovirt-node package in Rawhide. What's the state of all this?
Comment 19 Darryl L. Pierce 2010-03-11 14:39:28 EST
(In reply to comment #18)
> I don't see an ovirt-node package in Rawhide. What's the state of all this?    

We'll have a build ready to go out soon.
Comment 20 Darryl L. Pierce 2010-03-11 14:51:51 EST
(In reply to comment #19)
> (In reply to comment #18)
> > I don't see an ovirt-node package in Rawhide. What's the state of all this?    
> 
> We'll have a build ready to go out soon.    

Correction: we will have a build available as soon as some project steering decisions are made.

I would recommend emailing ovirt-devel@redhat.com to plug into any discussions around releases.